Package org.apache.synapse.format.hessian

# Class HessianConstants

java.lang.Object
org.apache.synapse.format.hessian.HessianConstants

public final class HessianConstants extends Object
Constants related to Hessian message builder and formatter pair

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `HESSIAN_CONTENT_TYPE`
  Hessian content type
  `static final String`
  `HESSIAN_DATA_SOURCE_NAME`
  DataSource name for HessianDataSource
  `static final String`
  `HESSIAN_ELEMENT_LOCAL_NAME`
  Hessian element local name inside the SOAP payload
  `static final String`
  `HESSIAN_NAMESPACE_URI`
  Hessian element namespace inside the SOAP payload
  `static final String`
  `HESSIAN_NS_PREFIX`
  Hessian namespace prefix to be used
  `static final char`
  `HESSIAN_V1_FAULT_IDENTIFIER`
  Hessian fault marker for protocol version 1.0
  `static final char`
  `HESSIAN_V2_FAULT_IDENTIFIER`
  Hessian fault marker for protocol version 2.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HessianConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### HESSIAN_ELEMENT_LOCAL_NAME

    public static final String HESSIAN_ELEMENT_LOCAL_NAME
    Hessian element local name inside the SOAP payload
    See Also:
      - Constant Field Values

  - ### HESSIAN_NAMESPACE_URI

    public static final String HESSIAN_NAMESPACE_URI
    Hessian element namespace inside the SOAP payload
    See Also:
      - Constant Field Values

  - ### HESSIAN_NS_PREFIX

    public static final String HESSIAN_NS_PREFIX
    Hessian namespace prefix to be used
    See Also:
      - Constant Field Values

  - ### HESSIAN_DATA_SOURCE_NAME

    public static final String HESSIAN_DATA_SOURCE_NAME
    DataSource name for HessianDataSource
    See Also:
      - Constant Field Values

  - ### HESSIAN_CONTENT_TYPE

    public static final String HESSIAN_CONTENT_TYPE
    Hessian content type
    See Also:
      - Constant Field Values

  - ### HESSIAN_V1_FAULT_IDENTIFIER

    public static final char HESSIAN_V1_FAULT_IDENTIFIER
    Hessian fault marker for protocol version 1.0
    See Also:
      - Constant Field Values

  - ### HESSIAN_V2_FAULT_IDENTIFIER

    public static final char HESSIAN_V2_FAULT_IDENTIFIER
    Hessian fault marker for protocol version 2.0
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### HessianConstants

    public HessianConstants()